Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gentoo-announce] GLSA: kernel (200312-02)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
ian!
Bodhisattva
Bodhisattva


Joined: 25 Feb 2003
Posts: 3827
Location: Essen, Germany

PostPosted: Thu Dec 04, 2003 10:20 pm    Post subject: [gentoo-announce] GLSA: kernel (200312-02) Reply with quote

--------------------------------------------------------------------------
GENTOO LINUX SECURITY ANNOUNCEMENT 200312-02
--------------------------------------------------------------------------

GLSA:        200312-02
package:     kernel
summary:     A flaw in the do_brk() function of Linux kernel 2.4.22
                and earlier can be exploited by local users or malicious
                services to gain root privileges.
severity:    high
Gentoo bug:  34844
date:        2003-12-04
CVE:         CAN-2003-0961
exploit:     local
affected:    <2.4.22
fixed:       >=2.4.23
fixed:       >=2.4.22+patches


DESCRIPTION:

Lack of proper bounds checking exists in the do_brk() kernel function in
Linux kernels prior to 2.4.23. This bug can be used to give a userland
program or malicious service access to the full kernel address space and
gain root privileges. This issue is known to be exploitable.

All kernel ebuilds in Portage have been bumped or patched and do not contain
this vulnerability. The following is a list of recommended kernels.

        aa-sources-2.4.23_pre6-r3
        ck-sources-2.4.22-r3
        gentoo-sources-2.4.20-r9
        gentoo-sources-2.4.22-r1
        grsec-sources-2.4.22.1.9.12-r1
        grsec-sources-2.4.22.2.0_rc3-r1
        gs-sources-2.4.23_pre8-r1
        hardened-sources-2.4.22-r1
        hardened-sources-2.4.22-r1
        ia64-sources-2.4.22-r1
        mips-sources-2.4.22-r4
        mips-sources-2.4.22-r5
        openmosix-sources-2.4.22-r1
        ppc-sources-2.4.22-r3
        ppc-sources-benh-2.4.20-r9
        ppc-sources-benh-2.4.21-r2
        ppc-sources-benh-2.4.22-r3
        ppc-sources-crypto-2.4.20-r1
        selinux-sources-2.4.21-r5
        sparc-sources-2.4.23
        usermode-sources-2.4.22-r1
        wolk-sources-4.10_pre7-r1
        wolk-sources-4.9-r2
        xfs-sources-2.4.20-r4


SOLUTION:

It is recommended that all Gentoo Linux users upgrade their machines to use
a kernel from the list above.

        emerge sync
        emerge -pv [your preferred kernel sources]
        emerge [your preferred kernel sources]
        [update the /usr/src/linux symlink]
        [compile and install your new kernel]
        [emerge any necessary kernel module ebuilds]
        [reboot]


// end
_________________
"To have a successful open source project, you need to be at least somewhat successful at getting along with people." -- Daniel Robbins
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum